Index: src/Actions/SelectionAction/Atoms/AllAtomsInsideCuboidAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsInsideCuboidAction.cpp	(revision 0aa122d5f3137de21e283fdaa583b526d33a6540)
+++ src/Actions/SelectionAction/Atoms/AllAtomsInsideCuboidAction.cpp	(revision d927abb3d77a2859e44f0802e7b32cf4c5385ec6)
@@ -54,6 +54,6 @@
   LOG(1, "Selecting all atoms inside a rotated " << RotationMatrix << " cuboid at " << params.position << " and extension of " << params.extension << ".");
   Shape s = translate(transform(stretch(Cuboid(),params.extension),RotationMatrix),params.position);
-  std::vector<atom *> selectedAtoms = World::getInstance().getAllAtoms(AtomsBySelection() && AtomByShape(s));
-  World::getInstance().selectAllAtoms(AtomByShape(s));
+  std::vector<atom *> selectedAtoms = World::getInstance().getAllAtoms(AtomsBySelection() && AtomsByShape(s));
+  World::getInstance().selectAllAtoms(AtomsByShape(s));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
   return Action::state_ptr(new SelectionAllAtomsInsideCuboidState(selectedAtoms, s, params));
@@ -63,5 +63,5 @@
   SelectionAllAtomsInsideCuboidState *state = assert_cast<SelectionAllAtomsInsideCuboidState*>(_state.get());
 
-  World::getInstance().unselectAllAtoms(AtomByShape(state->s));
+  World::getInstance().unselectAllAtoms(AtomsByShape(state->s));
   BOOST_FOREACH(atom *_atom, state->selectedAtoms)
     World::getInstance().selectAtom(_atom);
@@ -74,5 +74,5 @@
   RealSpaceMatrix RotationMatrix;
 
-  World::getInstance().selectAllAtoms(AtomByShape(state->s));
+  World::getInstance().selectAllAtoms(AtomsByShape(state->s));
 
   return Action::state_ptr(_state);
Index: src/Actions/SelectionAction/Atoms/AllAtomsInsideSphereAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsInsideSphereAction.cpp	(revision 0aa122d5f3137de21e283fdaa583b526d33a6540)
+++ src/Actions/SelectionAction/Atoms/AllAtomsInsideSphereAction.cpp	(revision d927abb3d77a2859e44f0802e7b32cf4c5385ec6)
@@ -49,6 +49,6 @@
   LOG(1, "Selecting all atoms inside a sphere at " << params.position << " with radius " << params.radius << ".");
   Shape s = translate(resize(Sphere(),params.radius),params.position);
-  std::vector<atom *> selectedAtoms = World::getInstance().getAllAtoms(AtomsBySelection() && AtomByShape(s));
-  World::getInstance().selectAllAtoms(AtomByShape(s));
+  std::vector<atom *> selectedAtoms = World::getInstance().getAllAtoms(AtomsBySelection() && AtomsByShape(s));
+  World::getInstance().selectAllAtoms(AtomsByShape(s));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
   return Action::state_ptr(new SelectionAllAtomsInsideSphereState(selectedAtoms, s, params));
@@ -58,5 +58,5 @@
   SelectionAllAtomsInsideSphereState *state = assert_cast<SelectionAllAtomsInsideSphereState*>(_state.get());
 
-  World::getInstance().unselectAllAtoms(AtomByShape(state->s));
+  World::getInstance().unselectAllAtoms(AtomsByShape(state->s));
   BOOST_FOREACH(atom *_atom, state->selectedAtoms)
     World::getInstance().selectAtom(_atom);
@@ -68,5 +68,5 @@
   SelectionAllAtomsInsideSphereState *state = assert_cast<SelectionAllAtomsInsideSphereState*>(_state.get());
 
-  World::getInstance().selectAllAtoms(AtomByShape(state->s));
+  World::getInstance().selectAllAtoms(AtomsByShape(state->s));
 
   return Action::state_ptr(_state);
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsInsideCuboidAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsInsideCuboidAction.cpp	(revision 0aa122d5f3137de21e283fdaa583b526d33a6540)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsInsideCuboidAction.cpp	(revision d927abb3d77a2859e44f0802e7b32cf4c5385ec6)
@@ -53,6 +53,6 @@
   LOG(1, "Unselecting all atoms inside a rotated " << RotationMatrix << " cuboid at " << params.position << " and extension of " << params.extension << ".");
   Shape s = translate(transform(stretch(Cuboid(),params.extension),RotationMatrix),params.position);
-  std::vector<atom *> unselectedAtoms = World::getInstance().getAllAtoms((!AtomsBySelection()) && AtomByShape(s));
-  World::getInstance().unselectAllAtoms(AtomByShape(s));
+  std::vector<atom *> unselectedAtoms = World::getInstance().getAllAtoms((!AtomsBySelection()) && AtomsByShape(s));
+  World::getInstance().unselectAllAtoms(AtomsByShape(s));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms remain selected.");
   return Action::state_ptr(new SelectionNotAllAtomsInsideCuboidState(unselectedAtoms, s, params));
@@ -62,5 +62,5 @@
   SelectionNotAllAtomsInsideCuboidState *state = assert_cast<SelectionNotAllAtomsInsideCuboidState*>(_state.get());
 
-  World::getInstance().selectAllAtoms(AtomByShape(state->s));
+  World::getInstance().selectAllAtoms(AtomsByShape(state->s));
   BOOST_FOREACH(atom *_atom, state->unselectedAtoms)
     World::getInstance().unselectAtom(_atom);
@@ -73,5 +73,5 @@
   RealSpaceMatrix RotationMatrix;
 
-  World::getInstance().unselectAllAtoms(AtomByShape(state->s));
+  World::getInstance().unselectAllAtoms(AtomsByShape(state->s));
 
   return Action::state_ptr(_state);
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsInsideSphereAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsInsideSphereAction.cpp	(revision 0aa122d5f3137de21e283fdaa583b526d33a6540)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsInsideSphereAction.cpp	(revision d927abb3d77a2859e44f0802e7b32cf4c5385ec6)
@@ -49,6 +49,6 @@
   LOG(1, "Unselecting all atoms inside a sphere at " << params.position << " with radius " << params.radius << ".");
   Shape s = translate(resize(Sphere(),params.radius),params.position);
-  std::vector<atom *> unselectedAtoms = World::getInstance().getAllAtoms((!AtomsBySelection()) && AtomByShape(s));
-  World::getInstance().unselectAllAtoms(AtomByShape(s));
+  std::vector<atom *> unselectedAtoms = World::getInstance().getAllAtoms((!AtomsBySelection()) && AtomsByShape(s));
+  World::getInstance().unselectAllAtoms(AtomsByShape(s));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms remain selected.");
   return Action::state_ptr(new SelectionNotAllAtomsInsideSphereState(unselectedAtoms, s, params));
@@ -58,5 +58,5 @@
   SelectionNotAllAtomsInsideSphereState *state = assert_cast<SelectionNotAllAtomsInsideSphereState*>(_state.get());
 
-  World::getInstance().selectAllAtoms(AtomByShape(state->s));
+  World::getInstance().selectAllAtoms(AtomsByShape(state->s));
   BOOST_FOREACH(atom *_atom, state->unselectedAtoms)
     World::getInstance().unselectAtom(_atom);
@@ -68,5 +68,5 @@
   SelectionNotAllAtomsInsideSphereState *state = assert_cast<SelectionNotAllAtomsInsideSphereState*>(_state.get());
 
-  World::getInstance().unselectAllAtoms(AtomByShape(state->s));
+  World::getInstance().unselectAllAtoms(AtomsByShape(state->s));
 
   return Action::state_ptr(_state);
